extends Node

var current_team: TEAMS = TEAMS.Enemy
var game_round: int = 0
var turn: int = 0



func reset() -> void:
	current_team = TEAMS.Enemy

func advance() -> void:
	trigger_units.emit(current_team)
	current_team = clamp(current_team + 1,TEAMS.Player,TEAMS.Enemy)
	turn += 1
	if current_team == TEAMS.Player:
		game_round += 1
		turn = 0
		trigger_effects.emit()
		next_round.emit()
	turn_started.emit(current_team)
	next_turn.emit()

signal trigger_effects
signal trigger_units(team: TEAMS)
signal next_turn
signal next_round

signal turn_started(team: TEAMS)

enum TEAMS {
	Player,
	Neutrals,
	Enemy
}
